Sensorpush humidity and temperature sensors

Was this change ever implemented? I just started using this integration and I’m not getting pressure or dew point in Home Assistant.

The following is an issue with the official sensorpush integration. I do get that this might not be the appropriate topic but I couldn’t find anything else.

I have a few HT1s paired with my sensorpush wi fi gateway. Today I setup a bluetooth proxy with an ESP close to the sensors in the hopes of adding them to HA via the sensorpush integration. The issue is that the sensors seem to work fine in my mobile app, bluetooth is enabled but the proxy is not discovering anything. I thought there might be something wrong with the proxy but I powered up a LD2410 sensor close to the proxy and it was immediately detected by HA. I also powered off the wi-fi gateway to see if it interferes at all but the results were the same. Am I missing anything here? Here is my proxy log, thank you.

NFO ESPHome 2023.8.2
INFO Reading configuration /config/esphome/esp32-bluetooth-proxy-29cbe8.yaml...
INFO Starting log output from esp32-bluetooth-proxy-29cbe8.local using esphome API
INFO Successfully connected to esp32-bluetooth-proxy-29cbe8.local
[21:09:16][I][app:102]: ESPHome version 2023.8.2 compiled on Aug 28 2023, 20:01:18
[21:09:16][I][app:104]: Project esphome.bluetooth-proxy version 1.0
[21:09:16][C][wifi:543]: WiFi:
[21:09:16][C][wifi:379]:   Local MAC: B0:A7:32:29:CB:E8
[21:09:16][C][wifi:380]:   SSID: 'Tom_LAN'[redacted]
[21:09:16][C][wifi:381]:   IP Address: 192.168.1.171
[21:09:16][C][wifi:383]:   BSSID: AC:8B:A9:D3:47:86[redacted]
[21:09:16][C][wifi:384]:   Hostname: 'esp32-bluetooth-proxy-29cbe8'
[21:09:16][C][wifi:386]:   Signal strength: -77 dB ▂▄▆█
[21:09:16][C][wifi:390]:   Channel: 11
[21:09:16][C][wifi:391]:   Subnet: 255.255.255.0
[21:09:16][C][wifi:392]:   Gateway: 192.168.1.1
[21:09:16][C][wifi:393]:   DNS1: 192.168.1.1
[21:09:16][C][wifi:394]:   DNS2: 0.0.0.0
[21:09:16][C][logger:301]: Logger:
[21:09:16][C][logger:302]:   Level: DEBUG
[21:09:16][C][logger:303]:   Log Baud Rate: 115200
[21:09:16][C][logger:305]:   Hardware UART: UART0
[21:09:16][C][bluetooth_proxy:088]: Bluetooth Proxy:
[21:09:16][C][bluetooth_proxy:089]:   Active: YES
[21:09:16][C][safe_mode.button:022]: Safe Mode Button 'Safe Mode Boot'
[21:09:16][C][safe_mode.button:022]:   Icon: 'mdi:restart-alert'
[21:09:16][C][esp32_ble:238]: ESP32 BLE:
[21:09:16][C][esp32_ble:240]:   MAC address: B0:A7:32:29:CB:EA
[21:09:16][C][esp32_ble:241]:   IO Capability: none
[21:09:16][C][esp32_ble_tracker:617]: BLE Tracker:
[21:09:16][C][esp32_ble_tracker:618]:   Scan Duration: 300 s
[21:09:16][C][esp32_ble_tracker:619]:   Scan Interval: 320.0 ms
[21:09:16][C][esp32_ble_tracker:620]:   Scan Window: 30.0 ms
[21:09:16][C][esp32_ble_tracker:621]:   Scan Type: ACTIVE
[21:09:16][C][esp32_ble_tracker:622]:   Continuous Scanning: True
[21:09:16][C][mdns:112]: mDNS:
[21:09:16][C][mdns:113]:   Hostname: esp32-bluetooth-proxy-29cbe8
[21:09:16][C][ota:093]: Over-The-Air Updates:
[21:09:16][C][ota:094]:   Address: esp32-bluetooth-proxy-29cbe8.local:3232
[21:09:16][C][api:138]: API Server:
[21:09:16][C][api:139]:   Address: esp32-bluetooth-proxy-29cbe8.local:6053
[21:09:16][C][api:141]:   Using noise encryption: YES
[21:09:16][C][improv_serial:032]: Improv Serial:
[21:09:19][D][esp32_ble_tracker:246]: Starting scan...
[21:14:19][D][esp32_ble_tracker:246]: Starting scan...
[21:19:19][D][esp32_ble_tracker:246]: Starting scan...
[21:24:19][D][esp32_ble_tracker:246]: Starting scan...
[21:29:19][D][esp32_ble_tracker:246]: Starting scan...

Hi All,

I have 3 x HT1 connected to G1 gateway and I can access the sensors in the Sensorpush web page.

I have installed via HACS, the files have appeared in custom_compents, nothing in the log file relating to sensorpush.

When I try and add an entity card to a dashboard none of the sensors are available as entities.

I have tried removing the HACS, restarting HA and still nothing shows. If I amend the password in configuration.yaml I get an error in the HA logs that it cannot authenticate. Correct the password and the error disappears.

Anybody got any thoughts on how to get the sensors available?

Thank you in advance

This is my yaml code

#Sensorpush
sensorpush:
username: [email protected]
password: password

sensor:

  • platform: sensorpush

Just in case anybody else has the same issues, I had another sensor: entry in the yaml, I guess the second overwrites the first

Hi there,

I’m totally new in the HA world. I’m have installed the Sensorpush integration through HACS, so got the integration going but I keep getting the following error message: Logger: homeassistant.setup
Source: setup.py:359
First occurred: 5:37:39 PM (1 occurrences)
Last logged: 5:37:39 PM

Unable to prepare setup for platform sensorpush.sensor: Unable to set up component.

My YAML file looks like this:# SensorPush setup

sensorpush:
username: myemail
password: mypassword

sensor:

  • platform: sensorpush

I’ve got the gateway and 1 sensor, running virtualbox in my window laptop.

thanks!

Hello, I figured it out. I needed to be connected via ethernet. It is flacky when using WIFI, Works for a while and then completely stops…

Hi all.

I’ve tried to set this up, and the integration isn’t loading. Getting this in the logs:

Traceback (most recent call last):
File "/usr/src/homeassistant/homeassistant/config_entries.py", line 2085, in _load_integration
integration.get_platform("config_flow")
File "/usr/src/homeassistant/homeassistant/loader.py", line 842, in get_platform
cache[full_name] = self._import_platform(platform_name)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/src/homeassistant/homeassistant/loader.py", line 859, in _import_platform
return importlib.import_module(f"{self.pkg_path}.{platform_name}")
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/local/lib/python3.11/importlib/__init__.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "<frozen importlib._bootstrap>", line 1204, in _gcd_import
File "<frozen importlib._bootstrap>", line 1176, in _find_and_load
File "<frozen importlib._bootstrap>", line 1140, in _find_and_load_unlocked
ModuleNotFoundError: No module named 'custom_components.sensorpush.config_flow'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/src/homeassistant/homeassistant/helpers/discovery_flow.py", line 96, in _async_start
await gather_with_limited_concurrency(
File "/usr/src/homeassistant/homeassistant/util/async_.py", line 188, in gather_with_limited_concurrency
return await gather(
^^^^^^^^^^^^^
File "/usr/src/homeassistant/homeassistant/util/async_.py", line 186, in sem_task
return await task
^^^^^^^^^^
File "/usr/src/homeassistant/homeassistant/config_entries.py", line 888, in async_init
flow, result = await task
^^^^^^^^^^
File "/usr/src/homeassistant/homeassistant/config_entries.py", line 906, in _async_init
flow = await self.async_create_flow(handler, context=context, data=data)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/src/homeassistant/homeassistant/config_entries.py", line 1009, in async_create_flow
handler = await _async_get_flow_handler(
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/src/homeassistant/homeassistant/config_entries.py", line 2106, in _async_get_flow_handler
await _load_integration(hass, domain, hass_config)
File "/usr/src/homeassistant/homeassistant/config_entries.py", line 2092, in _load_integration
raise data_entry_flow.UnknownHandler
homeassistant.data_entry_flow.UnknownHandler
2024-01-11 21:52:42.849 ERROR (MainThread) [homeassistant.config_entries] Error occurred loading flow for integration sensorpush: No module named 'custom_components.sensorpush.config_flow'
2024-01-11 21:52:42.872 ERROR (MainThread) [homeassistant.config_entries] Error occurred loading flow for integration sensorpush: No module named 'custom_components.sensorpush.config_flow'

I’m fairly new so not quite sure where to begin, but, sensorpush is in CONFIG\custom_components , and my configuration.yaml has the required…

sensorpush:
  username: [email protected]
  password: mypw

sensor:
  - platform: sensorpush

Thanks!

Hi there, old post but taking a chance. Have you been able to get the pressure info? I’m running into the same issue as we speak. thanks!

My SensorPush integration is working, but I’m also seeing the “config_flow” errors in the logs and I’m curious about them:

2024-03-31 18:05:14.283 ERROR (MainThread) [homeassistant.config_entries] Error occurred loading flow for integration sensorpush: No module named 'custom_components.sensorpush.config_flow'
2024-03-31 18:05:14.287 ERROR (MainThread) [homeassistant.config_entries] Error occurred loading flow for integration sensorpush: No module named 'custom_components.sensorpush.config_flow'
2024-03-31 18:05:14.362 ERROR (MainThread) [homeassistant.config_entries] Error occurred loading flow for integration sensorpush: No module named 'custom_components.sensorpush.config_flow'

I assume that means HA is trying to load a config_flow module when loading the SensorPush integration, but what’s odd to me is there’s no:

config_flow: true

in the manifest.json file, which I assume is what makes HA load that module. Frankly, from a quick look at the code it seems like it’s hard coded to load config_flow.

So, I’m a bit confused what’s happening.

    try:
        await integration.async_get_platform("config_flow")
    except ImportError as err:
        _LOGGER.error(
            "Error occurred loading flow for integration %s: %s",
            domain,
            err,
        )

Getting the exact same error

2024-04-20 17:57:09.853 ERROR (MainThread) [homeassistant.config_entries] Error occurred loading flow for integration sensorpush: Platform sensorpush.config_flow not found

Hi

I installed sensorpoush repository via hacs and configured the access to the sensorpush cloud. I receivecdata from all of my sensorpush gateways and all work fine. I also added it to homelit via homekit bridge, what work as well.

But it seems that automation in homekit using the temperature data is not working. Did it need additional condiguration to alliw triggers?

Frank

I posted here back when this thread was started in May 2019 and have been using SensorPush with Home Assistant since then. I now have 15 sensors which I’ve used both through this implementation (the gateway) and also directly connected to Home Assistant via Bluetooth.

Sensors connected to the SensorPush gateway are rock solid, only time they loose connection are when their batteries run out.
With them connected via Bluetooth to HA they are much more unreliable and loose connection from time-to-time.

I would really like to see this HACS integration integrated as an official integration in Home Assistant. It would need some minor polishing, for example new sensors defaults to Fahrenheit instead of what the HA instans is set to. But all in all it works great and have been for years, at least for me.

Did you ever get pressure data into Home Assistant?

Nope, was never able to find out how to achieve this

I took a look at the api spec did some tests, when requesting all sensors only basic values are returned.
But when calling https://api.sensorpush.com/api/v1/samples it’s all in there.

So I guess one way solve this would be to first grab all sensos, then call the samples endpoint with an array of all sensor ids and limit to a single sample per sensor.
When I do that I get this in return (I have more sensors but just for readability I just took two normal and one with pressure readings).

Here’s what I get in return.

{
    "last_time": "2024-07-15T14:38:35.000Z",
    "sensors": {
        "59006.16417360293089133585": [
            {
                "observed": "2024-07-15T14:38:35.000Z",
                "gateways": "poDuAadpMQFmmynNxwqDN8O0rNl71QhuFRkMGJqJCPs=",
                "temperature": 74.06,
                "humidity": 49.08,
                "dewpoint": 53.77,
                "vpd": 1.46,
                "altitude": 0
            }
        ],
        "59197.39599692223172016058": [
            {
                "observed": "2024-07-15T14:37:57.000Z",
                "gateways": "poDuAadpMQFmmynNxwqDN8O0rNl71QhuFRkMGJqJCPs=",
                "temperature": 72.09,
                "humidity": 48.2,
                "dewpoint": 51.43,
                "vpd": 1.38,
                "altitude": 0
            }
        ],
        "16930509.3521520481478796476": [
            {
                "observed": "2024-07-15T14:38:28.000Z",
                "gateways": "poDuAadpMQFmmynNxwqDN8O0rNl71QhuFRkMGJqJCPs=",
                "temperature": 73.65,
                "humidity": 43.74,
                "dewpoint": 50.13,
                "barometric_pressure": 29.76,
                "vpd": 1.58,
                "altitude": 1742.13,
                "altimeter_pressure": 29.76
            }
        ]
    },
    "truncated": false,
    "status": "OK",
    "total_samples": 3,
    "total_sensors": 3
}


Step 1 (Authorization)

curl -X POST "https://api.sensorpush.com/api/v1/oauth/authorize" -H "accept: application/json" -H "Content-Type: application/json" -d @- <<BODY 
	{ "email": "<email>", "password": "<password>" }
	BODY

Step 2 (OAuth Access)

curl -X POST "https://api.sensorpush.com/api/v1/oauth/accesstoken" -H "accept: application/json" -H "Content-Type: application/json" -d @- <<BODY
{ "authorization": "<authorization>"}
BODY

Step 3 (list sensors)

curl -X POST "https://api.sensorpush.com/api/v1/devices/sensors" -H "accept: application/json" -H "Authorization: <accesstoken>" -d @- <<BODY 
	{} 
	BODY

Step 4 (query samples)

curl -X POST "https://api.sensorpush.com/api/v1/samples" -H "accept: application/json" -H "Authorization: <accesstoken>" -d @- <<BODY
{ "sensors": ["16930509.3521520481478796476","59006.16417360293089133585","59197.39599692223172016058"], "limit": 1 }
BODY

Why don’t I fix this myself? I have zero experience with Python and don’t even know how to setup the development environment for Home Assistant. Sure I could figure it out but if you have some time over I rather help in any other way I can to get this resolved in a quick and correct way.